aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/ci/build_status_command.sh
diff options
context:
space:
mode:
authorGravatar Philipp Wollermann <philwo@google.com>2016-06-21 14:58:09 +0000
committerGravatar Philipp Wollermann <philwo@google.com>2016-06-21 15:04:52 +0000
commita5afe95e471827ab636a249fb0fd4a11076548e9 (patch)
tree2dc8f85279ee37e15131d5b5d382d1c3ebfe4b70 /scripts/ci/build_status_command.sh
parentb5a06f3362b430d0f51d1f4da646f2de901e5707 (diff)
Replace #!/bin/bash -eu with #!/bin/bash and "set -eu". Otherwise, the "-eu" is not picked up when you run the scripts manually using "bash script.sh".
This is also in our shell style guide: "Executables must start with #!/bin/bash and a minimum number of flags. Use set to set shell options so that calling your script as bash <script_name> does not break its functionality." -- MOS_MIGRATED_REVID=125450962
Diffstat (limited to 'scripts/ci/build_status_command.sh')
-rwxr-xr-xscripts/ci/build_status_command.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/ci/build_status_command.sh b/scripts/ci/build_status_command.sh
index 13cce6fd1e..e04b208e87 100755
--- a/scripts/ci/build_status_command.sh
+++ b/scripts/ci/build_status_command.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -eu
+#!/bin/bash
# Copyright 2015 The Bazel Authors. All rights reserved.
#
@@ -14,10 +14,11 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -eu
+
# A build status command to provide the package info generator with
# the information about the commit being built
-set -eu
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "$(dirname ${SCRIPT_DIR})/release/common.sh"